CFLAGS = -c  -Wall -O6 -march=pentium4 -ffast-math -funroll-loops -fomit-frame-pointer -mfpmath=sse -mdll -DXV_WIN32  -I../../include \
 -I../../include/xvin  -I../../include/plug-ins -I. \
-I"c:\Program Files\GnuWin32\include"

all : ../../bin/C843.dll  

clean :
	rm ../../bin/C843.dll  ../../lib/libC843.a  


../../bin/C843.dll : C843.o  ../../lib/libC843_GCS_DLL.a ../../lib/libMC_DLL.a
	gcc  -o ../../bin/C843.dll -mwindows -shared -L../../lib C843.o  \
-L"c:\Program Files\GnuWin32\lib" -lalleg \
-lxvin -lC843_GCS_DLL -lMC_DLL -ltrackBead -Wl,--export-all-symbols  -Wl,--enable-auto-import \
-Wl,--out-implib=../../lib/libC843.a 



../../lib/libC843_GCS_DLL.a : C843_GCS_DLL.def C843_GCS_DLL.dll
	dlltool -k --def C843_GCS_DLL.def --dllname C843_GCS_DLL.dll --output-lib libC843_GCS_DLL.a \
	; cp -uvp C843_GCS_DLL.dll ../../bin/; cp -uvp libC843_GCS_DLL.a ../../lib/;  

../../lib/libMC_DLL.a : MC.def MC.dll
	dlltool -k --def MC.def --dllname MC.dll --output-lib libMC_DLL.a \
	; cp -uvp MC_DLL.dll ../../bin/; cp -uvp libMC_DLL.a ../../lib/;  

C843.o : C843.c C843.h
	gcc $(CFLAGS) -o C843.o C843.c

